Subject: bug#39360: Add :extend attribute to show-paren-mode expression face

From: Clément Pit-Claudel <[email-masked]>
Date: Fri, 31 Jan 2020 09:52:25 -0500

On 2020-01-31 02:38, Eli Zaretskii wrote:
>> From: Clément Pit-Claudel <[email-masked]>
>> Date: Thu, 30 Jan 2020 16:08:50 -0500
>>
>> I've attached a patch to add :extend the show-paren-mode face applied to expressions.  Is that the right way to return to the previous behavior?
> 
> Thanks.
> 
> Please describe a use case where this problem shows up, I'm not sure I
> understand it completely.  More accurately, I don't think I understand
> why you think we must have the previous behavior with this face,
> i.e. why the new behavior is "wrong".

Unless people were complaining about the old behavior for this particular face, I think that behavior was fine.
More to the point, though, since the newline is inside the parentheses, it makes sense to me to extend the highlight continuously up to the edge of the window.

>> I might have missed discussions about this; is there a reason why :extend t isn't the default?
> 
> Because the whole idea of introducing :extend was that almost all
> faces don't need this attribute.

I see.  The new default looks weird to me, but I'm sure I'll get used to it.  Is there a reason to highlight one blank space at the end of each line, though, instead of only highlighting the text?

Clément.